package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpRolePermissionDto;
import com.jz.dmp.modules.model.DmpRolePermission;

/**角色资源关系表 mapper
 * @author ybz
 *
 */
public interface DmpRolePermissionMapper {
	
	/**新增角色资源关系表
     * @param dmpRolePermission
     * @return
     * @throws Exception
     */
    public int insert(DmpRolePermission dmpRolePermission)throws Exception;

    /**选择性增加角色资源关系表
     * @param dmpRolePermission
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpRolePermission dmpRolePermission)throws Exception;
    
    /**主键修改角色资源关系表
     * @param dmpRolePermission
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpRolePermission dmpRolePermission)throws Exception;

    /**选择性修改角色资源关系表
     * @param dmpRolePermission
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpRolePermission dmpRolePermission)throws Exception;
    
    /**主键查询角色资源关系表
     * @param dmpRolePermissionId
     * @return
     * @throws Exception
     */
    public DmpRolePermission selectByPrimaryKey(Integer dmpRolePermissionId)throws Exception;

    /**主键删除角色资源关系表
     * @param dmpRolePermissionId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpRolePermissionId)throws Exception;

	/**条件查询角色资源关系表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpRolePermissionDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询角色资源关系表
	 * @param dmpRolePermissionId
	 * @return
	 * @throws Exception
	 */
	public DmpRolePermissionDto findById(Integer dmpRolePermissionId)throws Exception;

	/**批量新增角色资源关系表
	 * @param dmpRolePermissions
	 * @throws Exception
	 */
	public void insertBatch(List<DmpRolePermission> dmpRolePermissions)throws Exception;
	
}
