package com.jz.dmp.modules.service;

import java.util.concurrent.TimeUnit;

public interface AtomBaseCacheService<T> {

	public void setValue(String key, T value);

	public void setValue(String key, T value, Long time);

	public boolean setNEX(String key, T value);

	public T getValue(String key);

	public T remove(String key);
	public Boolean expire(String key, final long timeout, final TimeUnit unit);
	
	
	public void delKyes(String key) ;

}
